Bug 472760 - large number division produces floating-point assist faults on ia64
large number division produces floating-point assist faults on ia64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python (Show other bugs)
5.3
ia64 Linux
medium Severity medium
: rc
: ---
Assigned To: Dave Malcolm
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 07:51 EST by Petr Šplíchal
Modified: 2013-03-14 17:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 17:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2008-11-24 07:51:44 EST
Description of problem:
test_long_future.py (one of the python unit tests) produces floating-point assist faults on ia64 architecture.

Version-Release number of selected component (if applicable):
python-2.4.3-21.el5
python-2.4.3-24.el5

How reproducible:
Always

Steps to Reproduce:
from __future__ import division
huge = 1L << 40000
1L / huge
  
Actual results:
/var/log/messages: kernel: python(9903):
floating-point assist fault at ip 20000000003cd542, isr 0000020000001001

Expected results:
no floating-point assist faults

Additional info:
It seems that future implementation of division in python will need some adjustment to work on ia64 flawlessly.

For detailed description of FPA faults see:
http://i-cluster2.inrialpes.fr/doc/misc/fpswa.txt
Comment 2 RHEL Product and Program Management 2009-03-26 13:22:08 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 RHEL Product and Program Management 2013-03-14 17:36:13 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.